Subject: Re: What's cooking in git.git (Sep 2024, #05; Fri, 13)

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 17 Sep 2024 08:30:45 +0200

On Mon, Sep 16, 2024 at 03:39:57PM -0400, Taylor Blau wrote:
> On Sat, Sep 14, 2024 at 12:12:46PM -0700, Junio C Hamano wrote:
> > * tb/weak-sha1-for-tail-sum (2024-09-06) 9 commits
> >  - csum-file.c: use fast SHA-1 implementation when available
> >  - Makefile: allow specifying a SHA-1 for non-cryptographic uses
> >  - hash.h: scaffolding for _fast hashing variants
> >  - sha1: do not redefine `platform_SHA_CTX` and friends
> >  - i5500-git-daemon.sh: use compile-able version of Git without OpenSSL
> >  - pack-objects: use finalize_object_file() to rename pack/idx/etc
> >  - finalize_object_file(): implement collision check
> >  - finalize_object_file(): refactor unlink_or_warn() placement
> >  - finalize_object_file(): check for name collision before renaming
> >
> >  The checksum at the tail of files are now computed without
> >  collision detection protection.
> >
> >  Will merge to 'next'?
> >  source: <[email-masked]>
> 
> Let's hold off on this one. Patrick raised a good point in [1] that I
> think I have a fix for, but want to hear some further discussion before
> I convince myself that's the case.

There was also the open question of whether we want to rename the new
`_fast` hash functions to `_unsafe` to make it stand out more that they
are indeed not safe for cryptographic uses.

Patrick